/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workmonthlyplan.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workclientinfo.entity.WorkClientInfo;
import com.jeeplus.modules.workmonthlyplan.entity.WorkMonthlyPlan;
import com.jeeplus.modules.workmonthlyplan.entity.WorkMonthlyPlanThis;

import java.util.List;
import java.util.Map;

/**
 * 月计划管理DAO接口
 * @author cyp
 * @version 2018-06-27
 */
@MyBatisDao
public interface WorkMonthlyPlanDao extends CrudDao<WorkMonthlyPlan> {
    public List<WorkMonthlyPlan> findHisList(String officeId);

	public void deleteWorkMonthlyPlanThis(WorkMonthlyPlan workMonthlyPlan);

	public WorkMonthlyPlan getThisMaxMonthly(String officeId);

    public List<WorkMonthlyPlan> getMonthly(WorkMonthlyPlan workMonthlyPlan);
    public WorkMonthlyPlan getMonthlyRew(WorkMonthlyPlan workMonthlyPlan);
    public List<WorkClientInfo> clientInfoList();

    public WorkMonthlyPlanThis getBeforeThisMonthMoney(WorkMonthlyPlanThis workMonthlyPlanThis);
}